/* === This file is part of Calamares - <https://calamares.io> ===
 *
 *   SPDX-FileCopyrightText: 2014 Teo Mrnjavac <teo@kde.org>
 *   SPDX-License-Identifier: GPL-3.0-or-later
 *
 *   Calamares is Free Software: see the License-Identifier above.
 *
 */

#ifndef LIBCALAMARESUI_PRETTYCHECKBOX_H
#define LIBCALAMARESUI_PRETTYCHECKBOX_H

#include "DllMacro.h"

#include <QCheckBox>

class QButtonGroup;

namespace Calamares
{
class ClickableLabel;

class UIDLLEXPORT PrettyCheckBox : public QWidget
{
    Q_OBJECT
public:
    explicit PrettyCheckBox( QWidget* parent = nullptr );
    ~PrettyCheckBox() override {}

	QCheckBox* checkbox();
	ClickableLabel* label();

    /// @brief Passes @p text on to the ClickableLabel
    void setText( const QString& text );

    // Applies to the checkbox part
    void setChecked( bool checked );
    bool isChecked() const;

    void addToGroup( QButtonGroup* group, int id = -1 );

protected:
    ClickableLabel* m_label;
    QCheckBox* m_checkbox;
};

}  // namespace Calamares
#endif  // LIBCALAMARESUI_PRETTYCHECKBOX_H
